Bug 969856 - Disable=socket in /etc/bluetooth/audio.conf causes "Unable to Select SEP"
Disable=socket in /etc/bluetooth/audio.conf causes "Unable to Select SEP"
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 14:28 EDT by Jason Montleon
Modified: 2015-02-17 10:25 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:25:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Montleon 2013-06-02 14:28:29 EDT
Description of problem:
There is an issue with bluetooth that now requires Disable=socket in /etc/bluetooth/audio.conf in order to be able to select the A2DP protocol for bluetooth audio devices.

The problem is that, while this works for some devices, for some it causes a new issue.

Version-Release number of selected component (if applicable):
rpm -q bluez pulseaudio pulseaudio-module-bluetooth
bluez-4.101-6.fc19.x86_64
pulseaudio-3.0-10.fc19.x86_64
pulseaudio-module-bluetooth-3.0-10.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 19
2. Edit /etc/bluetooth/audio.conf and change Enable=socket to Disable=Socket to fix the unelectable A2DP issue
3. Try to connect one of the devices this setting does not work for, like the JBL Micro Wireless Speaker, or HomeSpot BTADP-233 NFC-enabled Bluetooth Audio Receiver

Actual results:
Receive the following in /var/log/messages:
Jun  2 13:49:03 his bluetoothd[572]: bluetoothd[572]: Unable to select SEP
Jun  2 13:49:03 his bluetoothd[572]: Unable to select SEP

Expected results:
Device connects and audio can be played.

Additional info:
This is at least somewhat related to:
https://bugzilla.redhat.com/show_bug.cgi?id=964031

I added Disable=Socket to get beyond the issue of be A2DP protocol being unselectable with my device. 

For some devices, like the H800 headset and others mentioned in the bug above this seems to work without issue. 

However, for others like the JBL Micro Wireless speaker setting Disable=Socket in the audio.conf causes a new issue, where when trying to connect the speaker I just get the following in /var/log/messages instead:
Jun  2 13:49:03 his bluetoothd[572]: bluetoothd[572]: Unable to select SEP
Jun  2 13:49:03 his bluetoothd[572]: Unable to select SEP

The HomeSpot BTADP-233 NFC-enabled Bluetooth Audio Receiver is also reported to have the same problem in the bug above.
Comment 1 Marcelo Ricardo Leitner 2013-07-19 12:39:15 EDT
This seems a different issue, but I need some guidance:
I don't have these SEP messages, but:
- F17 was working
- F19 was not able to select A2DP profile until Disable=Socket took place.
- But now, although I can select A2DP, there is no sound. My phone even stops blinking the led regarding a2dp, but I don't have the SEP message.

And I just noticed that, on KDE (kmix):
- If I tell it to test right and left channels (second tab), it works
- If I tell it to test the adapter (first tab on kmix), it plays on my laptop headphone output instead of bluetooth.

I tried adjusting the channels via pacmd and pavucontrol too but no luck. Sounds like a2dp sink is somewhat obstructed ;)

Ideas?
Comment 2 Marcin Kulik 2013-08-10 08:35:57 EDT
Same here on Fedora 19. I try to connect to bluetooth audio receiver (Harman Kardon BTA 10) and I'm getting this:

Aug 10 14:33:42 lenny bluetoothd[2416]: bluetoothd[2416]: Unable to select SEP
Aug 10 14:33:42 lenny bluetoothd[2416]: Unable to select SEP
Comment 3 Scott Yanke 2013-08-21 16:07:18 EDT
Also hit this problem when I switched to Fedora 19.  My experience is the same as those described at the beginning, in that I got the SEP errors after disabling sockets, and other errors with sockets enabled.  I also have two devices, one working (a cheap BTI-005 headset adapter from China) and one not working (a Logitech adapter).  

Disabling the socket got the BTI-005 adapter working.  Unfortunately the Logitech adapter gets the "Unable to select SEP" message found in the syslog.

Worked fine in F17, quit when I jumped to F19.  Unable to sink the A2DP on the Logitech without a SEP error, but can on another device.
Comment 4 Fedora Admin XMLRPC Client 2013-08-26 10:25:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Werner Gold 2013-11-13 12:35:03 EST
Same problem here with F19.
Nov 13 18:24:25 jerry bluetoothd[557]: bluetoothd[557]: Unable to select SEP
Nov 13 18:24:25 jerry bluetoothd[557]: Unable to select SEP
Comment 6 mrolappe.dev 2013-11-13 17:11:36 EST
Same here, also F19.
Comment 7 Jason Montleon 2013-11-17 16:46:17 EST
FWIW, my speaker is working again after installing Fedora 20 Beta. I am using bluedevil since blueman is not usable with bluez 5, but other than that it works just like it used to.
Comment 8 Seng Jea 2013-12-19 21:40:41 EST
I am having the same issue too. However I managed to get it to work occasionally when running "pulseaudio -vvvv". The connection to bluetooth is successful if pulseaudio does not unregister the MediaEndpoint from bluez immediately after registering it:

Normal pulseaudio:
Dec 20 02:28:23 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Endpoint registered: sender=:1.171 path=/MediaEndpoint/HFPAG
Dec 20 02:28:23 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Endpoint registered: sender=:1.171 path=/MediaEndpoint/HFPHS
Dec 20 02:28:23 lenovos10.sengjea bluetoothd[279]: Endpoint registered: sender=:1.171 path=/MediaEndpoint/HFPAG
Dec 20 02:28:23 lenovos10.sengjea bluetoothd[279]: Endpoint registered: sender=:1.171 path=/MediaEndpoint/HFPHS
Dec 20 02:28:23 lenovos10.sengjea bluetoothd[279]: Endpoint registered: sender=:1.171 path=/MediaEndpoint/A2DPSource
Dec 20 02:28:23 lenovos10.sengjea bluetoothd[279]: Endpoint registered: sender=:1.171 path=/MediaEndpoint/A2DPSink
Dec 20 02:28:23 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Endpoint registered: sender=:1.171 path=/MediaEndpoint/A2DPSource
Dec 20 02:28:23 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Endpoint registered: sender=:1.171 path=/MediaEndpoint/A2DPSink
Dec 20 02:29:20 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Endpoint unregistered: sender=:1.171 path=/MediaEndpoint/HFPAG
Dec 20 02:29:20 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Endpoint unregistered: sender=:1.171 path=/MediaEndpoint/HFPHS
Dec 20 02:29:20 lenovos10.sengjea bluetoothd[279]: Endpoint unregistered: sender=:1.171 path=/MediaEndpoint/HFPAG
Dec 20 02:29:20 lenovos10.sengjea bluetoothd[279]: Endpoint unregistered: sender=:1.171 path=/MediaEndpoint/HFPHS
Dec 20 02:29:20 lenovos10.sengjea bluetoothd[279]: Endpoint unregistered: sender=:1.171 path=/MediaEndpoint/A2DPSource
Dec 20 02:29:20 lenovos10.sengjea bluetoothd[279]: Endpoint unregistered: sender=:1.171 path=/MediaEndpoint/A2DPSink
Dec 20 02:29:20 lenovos10.sengjea bluetoothd[279]: hci0: Remove UUID (0x0011) failed: Busy (0x0a)
Dec 20 02:29:20 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Endpoint unregistered: sender=:1.171 path=/MediaEndpoint/A2DPSource
Dec 20 02:29:20 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Endpoint unregistered: sender=:1.171 path=/MediaEndpoint/A2DPSink
Dec 20 02:29:20 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: hci0: Remove UUID (0x0011) failed: Busy (0x0a)
Dec 20 02:30:19 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Unable to select SEP
Dec 20 02:30:19 lenovos10.sengjea bluetoothd[279]: Unable to select SEP

pulseaudio -vvvv with A2DP connection successful:
Dec 20 02:31:19 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Endpoint registered: sender=:1.183 path=/MediaEndpoint/HFPAG
Dec 20 02:31:19 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Endpoint registered: sender=:1.183 path=/MediaEndpoint/HFPHS
Dec 20 02:31:19 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Endpoint registered: sender=:1.183 path=/MediaEndpoint/A2DPSource
Dec 20 02:31:19 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: Endpoint registered: sender=:1.183 path=/MediaEndpoint/A2DPSink
Dec 20 02:31:19 lenovos10.sengjea bluetoothd[279]: Endpoint registered: sender=:1.183 path=/MediaEndpoint/HFPAG
Dec 20 02:31:19 lenovos10.sengjea bluetoothd[279]: Endpoint registered: sender=:1.183 path=/MediaEndpoint/HFPHS
Dec 20 02:31:19 lenovos10.sengjea bluetoothd[279]: Endpoint registered: sender=:1.183 path=/MediaEndpoint/A2DPSource
Dec 20 02:31:19 lenovos10.sengjea bluetoothd[279]: Endpoint registered: sender=:1.183 path=/MediaEndpoint/A2DPSink
Dec 20 02:31:37 lenovos10.sengjea bluetoothd[279]: bluetoothd[279]: /org/bluez/279/hci0/dev_00_02_3C_25_C4_28/fd1: fd(27) ready
Dec 20 02:31:37 lenovos10.sengjea bluetoothd[279]: /org/bluez/279/hci0/dev_00_02_3C_25_C4_28/fd1: fd(27) ready


[sengjea@lenovos10 ~]$ rpm -qa | grep 'pulseaudio\|bluez'
bluez-hcidump-2.5-2.fc19.i686
pulseaudio-libs-glib2-3.0-10.fc19.i686
pybluez-0.18-6.fc19.i686
pulseaudio-module-gconf-3.0-10.fc19.i686
pulseaudio-module-bluetooth-3.0-10.fc19.i686
bluez-4.101-9.fc19.i686
bluez-gstreamer-4.101-9.fc19.i686
bluez-libs-4.101-9.fc19.i686
pulseaudio-utils-3.0-10.fc19.i686
pulseaudio-3.0-10.fc19.i686
bluez-libs-devel-4.101-9.fc19.i686
pulseaudio-libs-3.0-10.fc19.i686
Comment 9 Stuart D Gathman 2014-07-28 13:43:24 EDT
I tested this again on F20 both i686 and x86_64.  There is no longer any bluez-gstreamer in F20, or audio.conf.  However, it still gets stream setup failed when attempting to connect bluetooth audio.
Comment 10 Stuart D Gathman 2014-07-28 13:48:56 EDT
Seems to be related:
https://bugzilla.redhat.com/show_bug.cgi?id=981355
Comment 11 Fedora End Of Life 2015-01-09 13:18:05 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 10:25:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.